<?
session_start();
define (__TRACE_ENABLED__, false);
define (__DEBUG_ENABLED__, false);
//$empreact=$_SESSION['empresau'];
include("class.ezpdf.php");
include ("bases.php");
$rut=$_GET['ruta'];
$tabla=$_GET['tabla'];
$manifiesto=$_GET['manifiesto'];

function truncar($cadena, $tamano)
{
$largo=strlen($cadena);
	
	if($largo<=$tamano)
	{

	}
	else
	{
	$cadena=substr($cadena,0,$tamano);
	}

return $cadena;
}


$tari=new DB();
$bd = new DB();

global $pdf;

$SUP=1028;
$IZQ=-10;
$ms=60;
$mi=60;
$miz=60;
$mder=60;


if($HTTP_GET_VARS["manifiesto"])
{
$manifiesto=$HTTP_GET_VARS["manifiesto"];
$tabla=$HTTP_GET_VARS["tabla"];
$SQL="select m.nombre, m.id_sucursal, g.ciudad from $tabla as g inner join sucursales as m on g.id_sucursal=m.id_sucursal where g.id_manifiesto='".$manifiesto."'";
//echo $SQL;
$bd->query($SQL);
$plan=$bd->getfila($SQL);
$SQL="select count(*) from $tabla where id_manifiesto='".$manifiesto."'";

$bd->query($SQL);
$cantguias=$bd->getfila($SQL);
	if($cantguias[0]<=0)
	{
	echo '<BR><BR><BR><BR><div class="alertas" align="center">NO HAY GUIAS EN EL <BR> MANIFIESTO No '.$manifiesto.'</div>';
	}
	else
	{
	$SQL_plan="select * from manifiesto where id_manifiesto='".$manifiesto."'";
	$bd_plan = new DB();
	$bd_plan->query($SQL_plan);
	$fecha=$bd_plan->getfila($SQL_plan);
		
	$pdf= new Cezpdf();

	$pdf->selectFont('./Helvetica-Bold.afm');
	$pdf->addJpegFromFile($rut,35,780,70,30);
	$pdf->addText(200,790,8,'RELACION REPORTE MANIFIESTO No '.$manifiesto);
	$pdf->ezStartPageNumbers(552,800,8,'','Pagina: {PAGENUM} de {TOTALPAGENUM}',1);
	$pdf->addText(492,785,8,'Fecha: '.date('Y-m-d'));
	/*Cuadro 1*/
	$pdf->line(32,810,110,810);//Horizontal Superior
	$pdf->line(32,780,110,780);//Horizontal Inferior
	$pdf->line(32,810,32,780);//1era. Linea Vertical
	$pdf->line(110,780,110,810);//2da. Linea Vertical
	/*Cuadro Titulo*/
	$pdf->line(120,810,470,810);//Horizontal Superior
	$pdf->line(120,780,470,780);//Horizontal Inferior
	$pdf->line(120,810,120,780);//1era. Linea Vertical
	$pdf->line(470,780,470,810);//2da. Linea Vertical
	/*Cuadro Arriba*/
	$pdf->line(480,810,573,810);//Horizontal Superior
	$pdf->line(480,780,573,780);//Horizontal Inferior
	$pdf->line(480,810,480,780);//1era. Linea Vertical
	$pdf->line(573,780,573,810);//2da. Linea Vertical
	$pdf->ezSetMargins(80,20,40,20);

	$titulo1='ENTREGADA A: '.$plan[0].' ('.$plan[1].') ';
	$titulo2='FECHA: '.$fecha[1];
	$titulo3='CIUDAD ORIGEN: '.$plan[2];
	$titulo4='CANTIDAD: '.$cantguias[0];
	$pdf->ezText($titulo1,8,array('justification'=>'justification'));
	$pdf->ezText($titulo2,8,array('justification'=>'justification'));
	$pdf->ezText($titulo3,8,array('justification'=>'justification'));
	$pdf->ezText($titulo4,8,array('justification'=>'justification'));
	$pdf->ezText('');
	$SQL="SELECT c.cod_cliente, c.nombre as nom_cli, g.orden, o.producto, g.guia, g.destinatario, g.direccion, 
					 g.ciudad, o.peso, o.valor, g.telefono, g.id_estado, m.nombre, m.id_sucursal,
                     eg.nombre as nom_est
			from $tabla as g 
				 inner join sucursales as m on (g.id_sucursal=m.id_sucursal)
				 inner join ordenes as o on (g.orden=o.orden)
				 inner join clientes as c on(g.id_cliente=c.id_cliente)
				 inner join estados_gestion as eg on (eg.id_estado=g.id_estado)
			where g.id_manifiesto='".$manifiesto."'";
	
	$bd->query($SQL);
	$i=0;
	$total_guias=0;
		while($datos=$bd->getfila()){
			$dato['COD']=trim($datos[0]);
			$dato['CLIENTE']=trim($datos[1]);
			$dato['ORDEN']=trim($datos[2]);
			$dato['PRODUCTO']=trim($datos[3]);
			$dato['GUIA']=trim($datos[4]);
			$dato['DESTINATARIO']=truncar($datos[5],25);
			$dato['DIRECCION']=truncar($datos[6],25);
			$dato['CIUDAD']=trim($datos[7]);
			$dato['ENT']=$valor;
			$dato['DEV']=$valor;
			$mostrar[]=$dato;
			
		$total_guias=$total_guias+$valor;
		$i=$i+1;
		}

		//$pdf->ezTable($mostrar,'','',array('fontSize'=>6),'centre');
		$pdf->ezTable($mostrar,'','',array('fontSize' => 6,'showHeadings' => 1,'shaded'=> 1,
	   'shadeCol' => array(0.92,0.92,0.92),'shadeCol2' => array(0.9,0.9,0.9), 'cols'=>array(
	   											'COD'=>array('justification'=>'left','width'=>30),
	  											'CLIENTE'=>array('justification'=>'left','width'=>70), 
												'ORDEN'=>array('justification'=>'left','width'=>40), 
										  		'PRODUCTO'=>array('justification'=>'left','width'=>60), 
										  		'GUIA'=>array('justification'=>'left','width'=>40), 
										  		'DESTINATARIO'=>array('justification'=>'left','width'=>100), 
										  		'DIRECCION'=>array('justification'=>'left','width'=>90),
										  		'CIUDAD'=>array('justification'=>'left','width'=>60), 
												'ENT'=>array('justification'=>'left','width'=>25), 
												'DEV'=>array('justification'=>'left','width'=>25)
	
	)));
												
	$pdf->ezStream();
	}
}
else
{
echo '<BR><BR><BR><BR><div class="alertas" align="center"> OPERACION NO VALIDA!!<BR>SALGA DEL APLICATIVO <BR>Y VUELVA A IDENTIFICARSE NUEVAMENTE</div>';
}
?>